[Threshold] 
;For replacement criteria (red light mode) 
ReplaceThresholdCapacity=65 
ReplaceThresholdCyclecount=700 
ReplaceThresholdManufacturerdate=7 
 
Replace1ThresholdCapacity=70
Replace1ThresholdCyclecount=600


;For deteriorated criteria (yellow light mode) 
WarningThresholdCapacity=80 
WarningThresholdCyclecount=560 
WarningThresholdManufacturerdate=6 
 
Warning1ThresholdCapacity=85
Warning1ThresholdCyclecount=500

[Criteria]
;Conditions :
;A=(Full Charge Capacity / Design Capacity x 100%) < ReplaceThresholdCapacity
;B=Cycle Count > ReplaceThresholdCyclecount
;C=The current date from battery pack manufacturer date > ReplaceThresholdManufacturerdate
;D=ReplaceThresholdCapacity <(Full Charge Capacity / Design Capacity x 100%) < WarningThresholdCapacity
;E=ReplaceThresholdCyclecount >Cycle Count > WarningThresholdCyclecount
;F=ReplaceThresholdManufacturerdate >The current date from battery pack manufacturer date >WarningThresholdManufacturerdate
;G=ReplaceThresholdCapacity <(Full Charge Capacity / Design Capacity x 100%) < Replace1ThresholdCapacity
;H=ReplaceThresholdCyclecount >Cycle Count > Replace1ThresholdCyclecount
;I=WarningThresholdCapacity <(Full Charge Capacity / Design Capacity x 100% )< Waining1ThresholdCapacity
;J=WarningThresholdCyclecount >Cycle Count > Warning1ThresholdCyclecount

;AND:*
;OR:+

Replace=(A+B+C)+(G*H)
Warning=(D+E+F)+(I*J)
